> ## Documentation Index
> Fetch the complete documentation index at: https://developers.chatwoot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all AgentBots

> List all agent bots available



## OpenAPI

````yaml https://raw.githubusercontent.com/chatwoot/chatwoot/develop/swagger/tag_groups/platform_swagger.json get /platform/api/v1/agent_bots
openapi: 3.1.0
info:
  title: Chatwoot
  description: This is the API documentation for Chatwoot server.
  version: 1.1.0
  termsOfService: https://www.chatwoot.com/terms-of-service/
  contact:
    email: hello@chatwoot.com
  license:
    name: MIT License
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://app.chatwoot.com/
security: []
tags:
  - name: Accounts
    description: Account management APIs
  - name: Account Users
    description: Account user management APIs
  - name: AgentBots
    description: Bot integrations
  - name: Users
    description: User management APIs
paths:
  /platform/api/v1/agent_bots:
    get:
      tags:
        - AgentBots
      summary: List all AgentBots
      description: List all agent bots available
      operationId: list-all-agent-bots
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: array
                description: Array of agent bots
                items:
                  $ref: '#/components/schemas/agent_bot'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bad_request_error'
      security:
        - platformAppApiKey: []
components:
  schemas:
    agent_bot:
      type: object
      properties:
        id:
          type: number
          description: ID of the agent bot
        name:
          type: string
          description: The name of the agent bot
        description:
          type: string
          description: The description about the agent bot
        thumbnail:
          type: string
          description: The thumbnail of the agent bot
        outgoing_url:
          type: string
          description: The webhook URL for the bot
        bot_type:
          type: string
          description: The type of the bot
        bot_config:
          type: object
          description: The configuration of the bot
        account_id:
          type: number
          description: Account ID if it's an account specific bot
        access_token:
          type: string
          description: The access token for the bot
        system_bot:
          type: boolean
          description: Whether the bot is a system bot
    bad_request_error:
      title: data
      type: object
      properties:
        description:
          type: string
        errors:
          type: array
          items:
            $ref: '#/components/schemas/request_error'
    request_error:
      type: object
      properties:
        field:
          type: string
        message:
          type: string
        code:
          type: string
  securitySchemes:
    platformAppApiKey:
      type: apiKey
      in: header
      name: api_access_token
      description: >-
        This token can be obtained by the system admin after creating a
        platformApp. This token should be used to provision agent bots,
        accounts, users and their roles.

````